Page MenuHomePhabricator

Switch category collation for sewiki to uca-se-u-kn
Closed, ResolvedPublic

Description

After T177498 is completed, the category collation for the Northern Sami Wikipedia (sewiki) should be changed from uppercase-se to uca-se-u-kn (see T181503). After that, the changes in https://gerrit.wikimedia.org/r/#/c/396007/ should be removed again.

Event Timeline

Restricted Application added a subscriber: jhsoby. · View Herald TranscriptDec 8 2017, 2:43 PM
jhsoby-WMNO moved this task from Incoming to Blocked on the WMNO-Sami board.Dec 8 2017, 2:59 PM

@jhsoby-WMNO : FYI; the migration to ICU 57 completed over the weekend, you can go ahead with this change.

@MoritzMuehlenhoff Fantastic, great job, and thanks for the notify.

Change 450866 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Change category collation for sewiki

https://gerrit.wikimedia.org/r/450866

jhsoby-WMNO moved this task from Blocked to In progress on the WMNO-Sami board.Aug 6 2018, 9:31 PM

Change 450866 merged by jenkins-bot:
[operations/mediawiki-config@master] Change category collation for sewiki

https://gerrit.wikimedia.org/r/450866

Mentioned in SAL (#wikimedia-operations) [2018-08-06T23:06:39Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT Update sewiki collation config T182431 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2018-08-06T23:07:26Z] <James_F> jforrester@mwmaint1001 SWAT Updating sewiki collation via updateCollation.php T182431

Jdforrester-WMF closed this task as Resolved.Aug 6 2018, 11:09 PM
jhsoby-WMNO reopened this task as Open.Aug 6 2018, 11:10 PM

Not finished just yet, still need to remove the remnants from core.

Change 450877 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[mediawiki/core@master] Remove special collation for Northern Sami

https://gerrit.wikimedia.org/r/450877

Change 450877 merged by jenkins-bot:
[mediawiki/core@master] Remove special collation for Northern Sami

https://gerrit.wikimedia.org/r/450877

jhsoby-WMNO closed this task as Resolved.Aug 8 2018, 4:56 PM

Yup! Thanks!

jhsoby-WMNO moved this task from In progress to Done on the WMNO-Sami board.Aug 8 2018, 4:56 PM